require("main.levels.levelModule")
-- enemy types
require("main.character.ghostEnemy.ghostEnemyModule")

levelOne_testing = levelModule.New()

function levelOne_testing.New()
	local self = {}
	setmetatable( self, levelOne_testing.mt) --binds metaTable to table
	for k,v in pairs(levelOne_testing) do --loops through table (even with named indexes)
		self[k] = v -- matches a key in the vec table to a value
		--vec.k = v is the same thing
	end
	self.levelID = 1
	self.startingProxy = "sampleLevel_testing"
	self.physicalProxy = "/go#sampleLevel_testing" --This links to the game object in the main game object
	self.levelName = "New function not overrided"
	self.startingAreaID = 1
	self.startingAreaPlayerPos = vmath.vector3(350, 230, 0)
	return  self
end

function levelOne_testing.getAreaFactoryByID(self, ID)
	if ID == 1 then
		return "/levelHandler#area1_factory"
	else
		error("Level ID " .. tostring( ID ) .. " does not exist. Define it here.")
	end
end

function levelOne_testing.getBattleBackgroundFactory(self, ID)
	-- return url for a factory
	if ID == 1 then
		return "/areaBattleHandler#area1battle"
	else
		error("Level ID " .. tostring( ID ) .. " does not exist. Define it here.")
	end
end

function levelOne_testing.getEnemyTypeFromArea(self, ID)
	if ID == 1 then
		return ghostEnemyModule.New()
	else
		error("Level ID " .. tostring( ID ) .. " does not exist. Define it here.")
	end
end






