require("main.saveSystem.profile")

CURRENT_PROFILE = {}

SAVE_SYSTEM = {}
SAVE_SYSTEM.PROFILE_URL = "rpg_template"
function SAVE_SYSTEM._HAS_PROFILE()
	local my_file_path = sys.get_save_file(SAVE_SYSTEM.PROFILE_URL, "save_files")
	local myTable = sys.load(my_file_path)
	if myTable == nil then
		return false
	elseif myTable.numberProfiles == 0 then
		return false
	elseif myTable.profiles == nil then
		return false
	elseif #myTable.profiles == 0 then
		return false
	else
		return true
	end
end

function SAVE_SYSTEM.LOAD_CURRENT_PROFILE()
	if SAVE_SYSTEM._HAS_PROFILE() then
		-- Profile Exists
		local oldProfile = profile.New()
		local my_file_path = sys.get_save_file(SAVE_SYSTEM.PROFILE_URL, "save_files")
		local myTable = sys.load(my_file_path)
		oldProfile.load(myTable)
		CURRENT_PROFILE = oldProfile
	else
		-- Profile Doesn't Exist
		CURRENT_PROFILE = profile.New()
	end
end