--[[
To use:
require("main.usefullCode.formatDialogWithPlayerInfo")
call FORMAT_DIALOG_WITH_PLAYER_INFO(dialog) with whatever is needed
]]--


local function swapOutText(dialog, key, replacement)
	local done = false
	local startPosition
	local endPosition
	while not done do
		startPosition, endPosition = string.find(dialog, key)
		if startPosition == nil then
			done = true
		else
			dialog = string.sub(dialog, 1, startPosition - 1) .. replacement .. string.sub(dialog, endPosition + 1)
		end
	end
	return dialog
end

function FORMAT_DIALOG_WITH_PLAYER_INFO(dialog)
	dialog = swapOutText(dialog, "/player_name/", "[Player name place holder]")
	--pronouns
	dialog = swapOutText(dialog, "/player_he/", "[He]")
	dialog = swapOutText(dialog, "/player_his/", "[His]")
	dialog = swapOutText(dialog, "/player_him/", "[Him]")
	dialog = swapOutText(dialog, "/player_himself/", "[Himself]")
	--Attr
	dialog = swapOutText(dialog, "/attr_str/", "[str]")
	dialog = swapOutText(dialog, "/attr_plt/", "[plt]")
	dialog = swapOutText(dialog, "/attr_acr/", "[acr]")
	dialog = swapOutText(dialog, "/attr_chr/", "[chr]")
	dialog = swapOutText(dialog, "/attr_int/", "[int]")
	dialog = swapOutText(dialog, "/attr_endr/", "[endr]")
	dialog = swapOutText(dialog, "/attr_spd/", "[spd]")
	--swears
	dialog = swapOutText(dialog, "/swear_d_word/", "darn")
	dialog = swapOutText(dialog, "/swear_h_word/", "heck")
	dialog = swapOutText(dialog, "/swear_bi_word/", "dog")
	dialog = swapOutText(dialog, "/swear_ba_word/", "dult")
	dialog = swapOutText(dialog, "/swear_s_word/", "shoot")
	dialog = swapOutText(dialog, "/swear_f_word/", "frick")
	return dialog
end




