-- Put functions in this file to use them in several other scripts.
-- To get access to the functions, you need to put:
-- require "my_directory.my_file"
-- in any script using the functions.
function isa(self, item1, item2)
	if item1.class ~= nil and item2.class ~= nil then
		error("Neither Item: " .. item1 .. " or " .. item2 .. " does not have the variable 'class' declared")
	elseif item1.class ~= nil then
		error("Item: " .. item1 .. " does not have the variable 'class' declared")
	elseif item2.class ~= nil then
		error("Item: " .. item2 .. " does not have the variable 'class' declared")
	else
		return item1.class == item2.class
	end
end