stack = {
	mt = {},
	
	new = function()
		local wp = {}
		setmetatable( wp, stack.mt) --binds metaTable to table
		for k,v in pairs(stack) do --loops through table (even with named indexes)
			wp[k] = v -- matches a key in the vec table to a value
			--vec.k = v is the same thing
		end
		wp.stack = {}
		return wp
	end,

	push = function(self, item)
		self.stack[#self.stack+1] = item
	end,

	pop = function(self)
		if #self.stack > 0 then
			return table.remove(self.stack, #self.stack)
		end
	end,

	get = function(self)
		if #self.stack > 0 then
			return self.stack[#self.stack]
		end
	end
}